Package org.pushingpixels.substance.internal.painter

# Class OverlayPainterUtils

java.lang.Object
org.pushingpixels.substance.internal.painter.OverlayPainterUtils

public class OverlayPainterUtils extends Object
Contains utility methods related to overlay painters. This class is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`OverlayPainterUtils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`paintOverlays(Graphics g, Component c, SubstanceSkin skin, DecorationAreaType decorationAreaType)`
Paints all registered overlays on the specified component.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OverlayPainterUtils

public OverlayPainterUtils()

## Method Details

### paintOverlays

public static void paintOverlays(Graphics g, Component c, SubstanceSkin skin, DecorationAreaType decorationAreaType)
Paints all registered overlays on the specified component. Overlay painters are registered with `SubstanceSkin.addOverlayPainter(SubstanceOverlayPainter, DecorationAreaType...)` API.

Parameters:
  `g` - Graphics context.
  `c` - Component.
  `skin` - Component skin.
  `decorationAreaType` - Component decoration area type.